
/******************************************************************************
* MODULE     : generic_symbols.hpp
* DESCRIPTION: Global definitions for common function names
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __GENERIC_SYMBOLS_HPP
#define __GENERIC_SYMBOLS_HPP
namespace mml {

class string;
extern string MML_LESSLESS;
extern string MML_GTRGTR;
extern string MML_IMPLIES;
extern string MML_EQUIV;
extern string MML_OR;
extern string MML_XOR;
extern string MML_AND;
extern string MML_EQUAL;
extern string MML_UNEQUAL;
extern string MML_LESS;
extern string MML_LESSEQ;
extern string MML_GTR;
extern string MML_GTREQ;
extern string MML_FUNCTION;
extern string MML_PLUS;
extern string MML_TIMES;
extern string MML_OVER;
extern string MML_DIV;
extern string MML_MOD;
extern string MML_COMPOSE;
extern string MML_NOT;
extern string MML_MINUS;
extern string MML_POWER;
extern string MML_FACTORIAL;
extern string MML_PRIME;
extern string MML_DOT;
extern string MML_APPLY;
extern string MML_ACCESS;
extern string MML_TUPLE;
extern string MML_VTUPLE;
extern string MML_SQTUPLE;
extern string MML_COMMA;

extern string MML_CATALAN;
extern string MML_D;
extern string MML_DELTA;
extern string MML_E;
extern string MML_EULER;
extern string MML_I;
extern string MML_PARTIAL;
extern string MML_PI;
extern string MML_NAN;
extern string MML_FUZZ;
extern string MML_INFINITY;
extern string MML_SQRT;
extern string MML_EXP;
extern string MML_LOG;
extern string MML_COS;
extern string MML_SIN;
extern string MML_TAN;
extern string MML_ARCCOS;
extern string MML_ARCSIN;
extern string MML_ARCTAN;
extern string MML_DERIVE;
extern string MML_INTEGRATE;

} // namespace mml
#endif // __GENERIC_SYMBOLS_HPP
